SPUTL(3V)

NAME
sputl, sgetl - access long integer data in a machine-independent fashion

SYNOPSIS
void sputl(value, buffer)
long value;
char *buffer;

long sgetl(buffer)
char *buffer;

DESCRIPTION

sputl() takes the four bytes of the long integer values and places them in memory starting at the address pointed to by buffer. The ordering of the bytes is the same across all machines.

sgetl() retrieves the four bytes in memory starting at the address pointed to by buffer and returns the long integer value in the byte ordering of the host machine.

The combination of sputl() and sgetl() provides a machine-independent way of storing long numeric data in a file in binary form without conversion to characters.